Atualizar fluxo
curl --request PATCH \
--url https://api.jurichat.com/flow/{id} \
--header 'Content-Type: application/json' \
--header 'x-jurichat-api-key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"color": "<string>"
}
'import requests
url = "https://api.jurichat.com/flow/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"color": "<string>"
}
headers = {
"x-jurichat-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-jurichat-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', color: '<string>'})
};
fetch('https://api.jurichat.com/flow/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"content": {
"steps": [
{
"id": "<string>",
"content": "<string>",
"type": "text",
"nextStepId": "<string>",
"position": {
"x": 123,
"y": 123
},
"metadata": {
"userId": "<string>",
"departmentId": "<string>",
"departmentIds": [
"<string>"
],
"agentId": "<string>",
"isAvailable": true,
"tagIds": [
"<string>"
],
"funnelId": "<string>",
"funnelColumnId": "<string>",
"ticketTitle": "<string>",
"ticketDescription": "<string>",
"ticketStatusId": "<string>",
"ticketPriority": "LOW",
"ticketAssigneeIds": [
"<string>"
],
"ticketDepartmentIds": [
"<string>"
],
"webhookUrl": "<string>",
"webhookMethod": "GET",
"webhookHeaders": [
{
"key": "<string>",
"value": "<string>"
}
],
"webhookBody": "<string>",
"webhookIncludeContext": true
}
}
],
"initialStepId": "<string>"
},
"color": "<string>",
"isInstagramFlow": true,
"inboxId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"details": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"details": "<string>"
}Flow
Atualizar fluxo
Atualiza um fluxo existente.
PATCH
/
flow
/
{id}
Atualizar fluxo
Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-jurichat-api-key.
Path Parameters
ID do fluxo.
Pattern:
^[cC][^\s-]{8,}$Body
application/json